Invite Anyone <= 1.3.18 - Unauthenticated PHP Object Injection



Description
The plugin invite-anyone insecurely trusts serialized data submitted over HTTP requests. This opens up the site to a PHP object injection vulnerability potential exploit vector.
Proof of Concept
Similar to previous attacks, you send a cookie named "invite-anyone" with serialized data for your target object.

Affects Plugin

fixed in version 1.3.19

References

URL https://plugins.trac.wordpress.org/changeset/1732512/

Classification

Type OBJECTINJECTION
OWASP Top 10 A8: Insecure Deserialization
CWE CWE-502

Miscellaneous

Submitter Robert R
Submitter Website https://pagely.com
Submitter Twitter @iamlei
Views 6510
Verified No
WPVDB ID 8931

Timeline

Publicly Published 2017-10-12 (almost 3 years ago)
Added 2017-10-13 (almost 3 years ago)
Last Updated 2019-11-01 (9 months ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin